> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getprimo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all billing profiles

> Return the company billing profiles. Use an eligible profile id when creating an order.

<span className="badge-read">Key: Read</span><span className="badge-company">Scope: Company</span>


## OpenAPI

````yaml https://api.getprimo.com/openapi.json get /billing-profiles
openapi: 3.1.1
info:
  title: Public API - BETA
  description: Read docs on https://docs.getprimo.com/
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getprimo.com
security:
  - apikey: []
tags: []
paths:
  /billing-profiles:
    get:
      tags:
        - BillingProfiles
      summary: Get all billing profiles
      description: >-
        Return the company billing profiles. Use an eligible profile id when
        creating an order.
      operationId: getBillingProfiles
      parameters: []
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetBillingProfiles_Output'
components:
  schemas:
    GetBillingProfiles_Output:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              name:
                type: string
              currency:
                anyOf:
                  - type: string
                    enum:
                      - EUR
                      - GBP
                      - USD
                      - CHF
                      - CAD
                  - type: 'null'
              countryCode:
                anyOf:
                  - type: string
                  - type: 'null'
              eligibleForDeploy:
                description: Whether this profile can be used to place a deploy order
                type: boolean
            required:
              - id
              - name
              - eligibleForDeploy
            additionalProperties: false
      required:
        - data
      additionalProperties: false
  securitySchemes:
    apikey:
      scheme: bearer
      bearerFormat: API key
      type: http
      description: >-
        Use your Primo API key in the Authorization header as `Bearer
        <API_KEY>`.

````